Subject: Re: [PATCH net v2] net: phy: phy_ethtool_ksettings_set: Don't discard phy_start_aneg's return

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 8 Nov 2021 14:25:48 +0000

On Mon, Nov 08, 2021 at 03:18:34PM +0100, [email-masked] wrote:
> From: Bastian Germann <[email-masked]>
> 
> Take the return of phy_start_aneg into account so that ethtool will handle
> negotiation errors and not silently accept invalid input.

I don't think this description is accurate. If we get to call
phy_start_aneg() with invalid input, then something has already
gone wrong. As Andrew has already explained, an error from this
function means that something went wrong with PHY communication.
All validation should have happened prior to this function being
called.

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!